Re: [Rd] GPLv2-only code in R?

From: Duncan Murdoch <murdoch.duncan_at_gmail.com>
Date: Thu, 28 Apr 2011 10:58:38 -0400

On 27/04/2011 12:55 PM, Brett Smith wrote:
> Hello,
>
> I'm sending this to R-devel under the guideline that the ensuing
> discussion would probably be unintelligible to people who aren't
> programmers. If that's not right, I apologize.
>
> <http://www.r-project.org/Licenses/> says in part: "Some files are
> licensed under 'GPL (version 2 or later)', which includes GPL-3. See the
> comments in the files to see if this applies." This implies that there
> are files in R that do *not* have the "or later" language, and can only
> be used under GPLv2.
>
> I've done some initial searches for files in the R source code that
> don't have the "or later" language, but haven't turned anything up yet.
> If anybody knows of any off-hand and could point me to them, I'd
> appreciate it.

Package rpart is GPL-2-only in R 2.13.0, but is more liberally licensed in R-patched and R-devel. The survival package was GPL-2-only until R 2.12.1.

Duncan Murdoch



R-devel_at_r-project.org mailing list
https://stat.ethz.ch/mailman/listinfo/r-devel Received on Thu 28 Apr 2011 - 15:06:03 GMT

Archive maintained by Robert King, hosted by the discipline of statistics at the University of Newcastle, Australia.
Archive generated by hypermail 2.2.0, at Thu 28 Apr 2011 - 18:30:52 GMT.

Mailing list information is available at https://stat.ethz.ch/mailman/listinfo/r-devel. Please read the posting guide before posting to the list.

list of date sections of archive